Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Нужно Перенести Товары Из Версии 3 В Версию 4 Rate Topic   - - - - -

 
  • daikengo
  • Newbie
  • Trial users
  • Join Date: 10-Feb 15
  • 6 posts

Posted 29 July 2017 - 04:25 PM #1

Есть старый работающий магазин на CS-Cart версии 3. 

В нем около 3000 товаров. 

Есть чистая установка CS-Cart версии 4 (актуальной). 

Нужно экспортировать товары из версии 3 в версию 4 – со всеми картинками, описаниями, структурой разделов, доп.характеристиками товаров. 

Штатный модуль экспорта-импорта через CSV некорректно это делает: 
- при импорте ID товаров обрезаются до 32 символов (у нас чуть длиннее); 
- картинки при импорте пропадают (хотя мы подложили на новый сайт в соотв.папки файлы картинок и в CSV указали новые пути при импорте); 
- HTML-описания товаров экспортируются без тэгов разметки сплошным массивом текста; 
- доп.характеристики товаров хотя после импорта и появляются глобально, но для конкретных товаров не указаны. 

Требуется разобраться и корректно перенести все товары из версии 3 в версию 4. 

Сделать нужно максимально оперативно, сегодня-завтра. 

Оплата ЯД, WMR или на карту. 
 


 

Posted 31 July 2017 - 06:35 AM #2

 

Есть старый работающий магазин на CS-Cart версии 3. 

В нем около 3000 товаров. 

Есть чистая установка CS-Cart версии 4 (актуальной). 

Нужно экспортировать товары из версии 3 в версию 4 – со всеми картинками, описаниями, структурой разделов, доп.характеристиками товаров. 

Штатный модуль экспорта-импорта через CSV некорректно это делает: 
- при импорте ID товаров обрезаются до 32 символов (у нас чуть длиннее); 
- картинки при импорте пропадают (хотя мы подложили на новый сайт в соотв.папки файлы картинок и в CSV указали новые пути при импорте); 
- HTML-описания товаров экспортируются без тэгов разметки сплошным массивом текста; 
- доп.характеристики товаров хотя после импорта и появляются глобально, но для конкретных товаров не указаны. 

Требуется разобраться и корректно перенести все товары из версии 3 в версию 4. 

Сделать нужно максимально оперативно, сегодня-завтра. 

Оплата ЯД, WMR или на карту. 

 

 

Используйте стандартный модуль Store import:

 

http://docs.cs-cart....ng_a_store.html

http://docs.cs-cart....ore_import.html

 

он переносит данные из старых версий в 4.x.x. Модуля для версии 4.6.1 еще нет, но вы можете импортировать данные в версию 4.4.2 и обновить установку до текущей версии после импорта


Sincerely yours, CS-Cart Support Team

 

User guide       |  Developer documentation  |  Core API documentation


 
  • daikengo
  • Newbie
  • Trial users
  • Join Date: 10-Feb 15
  • 6 posts

Posted 31 July 2017 - 01:24 PM #3

А как поменять версию  на более старую?



 
  • eComLabs
  • CS-Cart Expert
  • Authorized Reseller
  • Join Date: 27-Jan 14
  • 14,247 posts

Posted 01 August 2017 - 04:54 AM #4

А как поменять версию  на более старую?

 

Какая вам версия нужна?


GET A FREE QUOTE | CS-Cart Add-ons | CS-Cart Licenses | CS-Cart Development | CS-Cart Design | Server Configuration

Certified CS-Cart RU Developer | Сертифицированный разработчик на CS-Cart Русская Версия

 

Posted 01 August 2017 - 06:12 AM #5

А как поменять версию  на более старую?

 

Напишите нам через Help desk и мы предоставим установочный пакет версии 4.4.2 (если ее покрывает ваша лицензия)


Sincerely yours, CS-Cart Support Team

 

User guide       |  Developer documentation  |  Core API documentation


 
  • daikengo
  • Newbie
  • Trial users
  • Join Date: 10-Feb 15
  • 6 posts

Posted 01 August 2017 - 11:44 AM #6

Тут еще один момент: 

 

Для того, чтобы воспользоваться импортом магазина, нужно по инструкции установить четвертую версию в папку внутри третьей, правильно?

 

Но третья версия требует одну версию PHP, а четвертая не работает с более старой.

 

Соответственно CS-Cart v3 говорит мне, что "PHP version from 5.1.0 to 5.3.x is required. PHP 5.4.x and later are not supported.", а Cs-cart v.4 наоборот отказывается работать с такими старыми версиями PHP.

 

Получается что на одном хостинге в принципе они сосуществовать не могут и задача экспорта-импорта не имеет решения.



 

Posted 01 August 2017 - 11:53 AM #7

Тут еще один момент: 

 

Для того, чтобы воспользоваться импортом магазина, нужно по инструкции установить четвертую версию в папку внутри третьей, правильно?

 

Но третья версия требует одну версию PHP, а четвертая не работает с более старой.

 

Соответственно CS-Cart v3 говорит мне, что "PHP version from 5.1.0 to 5.3.x is required. PHP 5.4.x and later are not supported.", а Cs-cart v.4 наоборот отказывается работать с такими старыми версиями PHP.

 

Получается что на одном хостинге в принципе они сосуществовать не могут и задача экспорта-импорта не имеет решения.

 

CS-Cart 3.x.x и 4.x.x обе совместимы с PHP 5.3 (5.3.6+ для версий старше 4.3.6 )


Sincerely yours, CS-Cart Support Team

 

User guide       |  Developer documentation  |  Core API documentation